<?php

namespace App\Models\Hims;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class StationDataOrigin extends Model
{
    use HasFactory;
    protected $primaryKey = 'id';
    public $timestamps = true;
    protected $guarded = [];
    public $sequence = null;

    public function getTable()
    {
        return 'ORACLE_USER.STATION_DATA_ORIGIN';
        return DB::raw('ORACLE_USER.STATION_DATA_ORIGIN@TSSDB');
    }

    public function Station()
    {
        return $this->belongsTo(Station::class, 'id', 'id');
    }
}
